#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EAuthTokenPlatformType {
    Unknown = 0,
    SteamClient = 1,
    WebBrowser = 2,
    MobileApp = 3,
}

impl EAuthTokenPlatformType {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Unknown as i32 => Some(Self::Unknown),
            x if x == Self::SteamClient as i32 => Some(Self::SteamClient),
            x if x == Self::WebBrowser as i32 => Some(Self::WebBrowser),
            x if x == Self::MobileApp as i32 => Some(Self::MobileApp),
            _ => None,
        }
    }
}
